import request from '@/utils/request'

// 查询模块用量统计列表
export function listApi(query) {
  return request({
    url: '/stats/moduleUsage/list',
    method: 'get',
    params: query
  })
}

// 查询模块用量统计详细
export function getApi(id) {
  return request({
    url: '/stats/moduleUsage/' + id,
    method: 'get'
  })
}

// 新增模块用量统计
export function addApi(data) {
  return request({
    url: '/moduleUsage',
    method: 'post',
    data: data
  })
}

// 修改模块用量统计
export function updateApi(data) {
  return request({
    url: '/moduleUsage',
    method: 'put',
    data: data
  })
}

// 删除模块用量统计
export function delApi(id) {
  return request({
    url: '/stats/moduleUsage/' + id,
    method: 'delete'
  })
}

// 导出模块用量统计
export function exportApi(query) {
  return request({
    url: '/stats/moduleUsage/export',
    method: 'post',
    params: query
  })
}
